> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://mezmo.ferndocs.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://mezmo.ferndocs.com/_mcp/server.

# Retrieve a list of all the keys

GET https://api.mezmo.com/v1/config/keys

Retrieve a list of all the keys for an account. Supported key types include `ingestion` and `service`. Use the `type` parameter to filter which type of keys to retrieve.

Reference: https://mezmo.ferndocs.com/api-reference/log-analysis/keys/list-key

## Authentication

- `Authorization` header (required) — This key is used for all apis with the exception of ingest. You can obtain it following [these instructions](https://docs.mezmo.com/docs/ingestion-key) and placing the key in the header of your call in the format of `Authorization: Token {accesstoken}` For example: ``` curl -H 'Authorization: Token <ACCESS TOKEN>' ```
- `servicekey` header (required) — (Deprecated) This key is used for v1 and v2 apis with the exception of ingest. Service keys can be used by placing your service key in the `Authorization` header of your api call. *NOTE* Usage of the service key auth mechanism has been deprecated in favor of IAM Access Tokens. Service keys can no longer be created, but can still be used for v1 and v2 apis while the transition takes place

## Request

### Query parameters

- `type` (enum, optional) — The type of key to retrieve. Defaults to "all"
  - Allowed values: `ingestion`, `service`, `all`

## Response

### 200

A list of keys is returned on success.

- `list of keyResource`

## Errors

### 400 Bad Request Error

The supplied request is invalid or malformed.

- `error` (string, optional) — A human-readable description of the error
- `code` (string, optional) — A unique code for the type of error
- `status` (string, optional) — The status of the request

## Types

### keyResource

- `id` (string, optional) — The ID of the key
- `key` (string, optional) — A secret key which can be used to authenticate requests to Mezmo.
- `name` (string, optional) — A user friendly name for the key
- `type` (enum, optional) — The type of the key
  - Allowed values: `ingestion`, `service`
- `created` (integer, optional) — The time the key was created as a Unix timestamp in milliseconds

## Examples

**Response**

```json
[
  {
    "id": "629e3f7e62295be60488fb26",
    "key": "7b273eb8adc962f2711ad760730debb0",
    "name": "servergroup_0_ingestion",
    "type": "ingestion",
    "created": 1654538253244
  }
]
```

**SDK Code**

```python
import requests

url = "https://api.mezmo.com/v1/config/keys"

headers = {"Authorization": "<apiKey>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.mezmo.com/v1/config/keys';
const options = {method: 'GET', headers: {Authorization: '<apiKey>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.mezmo.com/v1/config/keys"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Authorization", "<apiKey>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.mezmo.com/v1/config/keys")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = '<apiKey>'

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.mezmo.com/v1/config/keys")
  .header("Authorization", "<apiKey>")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.mezmo.com/v1/config/keys', [
  'headers' => [
    'Authorization' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.mezmo.com/v1/config/keys");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "<apiKey>");
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["Authorization": "<apiKey>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.mezmo.com/v1/config/keys")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```